Package org.eclipse.birt.chart.model.attribute.impl

# Class JavaNumberFormatSpecifierImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.FormatSpecifierImpl
org.eclipse.birt.chart.model.attribute.impl.JavaNumberFormatSpecifierImpl

All Implemented Interfaces:
  `FormatSpecifier`, `JavaNumberFormatSpecifier`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class JavaNumberFormatSpecifierImpl extends FormatSpecifierImpl implements JavaNumberFormatSpecifier
An implementation of the model object ' Java Number Format Specifier'.

The following features are implemented:

- `Pattern`
- `Multiplier`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`JavaNumberFormatSpecifier`
`copyInstance()`
`static JavaNumberFormatSpecifier`
`create(String sJavaPattern)`
A convenience methods provided to create an initialized JavaNumberFormatSpecifier instance NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`String`
`format(double dValue, com.ibm.icu.util.ULocale lo)`
Formats a value using the internally defined format specifier rules
`String`
`format(double dValue, Locale lo)`
Formats a value using the internally defined format specifier rules
`String`
`format(Number number, com.ibm.icu.util.ULocale lo)`
Returns a formatted string representation of specified number.
`double`
`getMultiplier()`
`String`
`getPattern()`
`boolean`
`isSetMultiplier()`
`void`
`setMultiplier(double newMultiplier)`
`void`
`setPattern(String newPattern)`
`String`
`toString()`
`void`
`unsetMultiplier()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getPattern

public String getPattern()

Specified by:
  `getPattern` in interface `JavaNumberFormatSpecifier`
Returns:
  the value of the 'Pattern' attribute.
See Also:
  - `JavaNumberFormatSpecifier.setPattern(String)`
  - `AttributePackage.getJavaNumberFormatSpecifier_Pattern()`

### setPattern

public void setPattern(String newPattern)

Specified by:
  `setPattern` in interface `JavaNumberFormatSpecifier`
Parameters:
  `newPattern` - the new value of the 'Pattern' attribute.
See Also:
  - `JavaNumberFormatSpecifier.getPattern()`

### getMultiplier

public double getMultiplier()

Specified by:
  `getMultiplier` in interface `JavaNumberFormatSpecifier`
Returns:
  the value of the 'Multiplier' attribute.
See Also:
  - `JavaNumberFormatSpecifier.isSetMultiplier()`
  - `JavaNumberFormatSpecifier.unsetMultiplier()`
  - `JavaNumberFormatSpecifier.setMultiplier(double)`
  - `AttributePackage.getJavaNumberFormatSpecifier_Multiplier()`

### setMultiplier

public void setMultiplier(double newMultiplier)

Specified by:
  `setMultiplier` in interface `JavaNumberFormatSpecifier`
Parameters:
  `newMultiplier` - the new value of the 'Multiplier' attribute.
See Also:
  - `JavaNumberFormatSpecifier.isSetMultiplier()`
  - `JavaNumberFormatSpecifier.unsetMultiplier()`
  - `JavaNumberFormatSpecifier.getMultiplier()`

### unsetMultiplier

public void unsetMultiplier()

Specified by:
  `unsetMultiplier` in interface `JavaNumberFormatSpecifier`
See Also:
  - `JavaNumberFormatSpecifier.isSetMultiplier()`
  - `JavaNumberFormatSpecifier.getMultiplier()`
  - `JavaNumberFormatSpecifier.setMultiplier(double)`

### isSetMultiplier

public boolean isSetMultiplier()

Specified by:
  `isSetMultiplier` in interface `JavaNumberFormatSpecifier`
Returns:
  whether the value of the 'Multiplier' attribute is set.
See Also:
  - `JavaNumberFormatSpecifier.unsetMultiplier()`
  - `JavaNumberFormatSpecifier.getMultiplier()`
  - `JavaNumberFormatSpecifier.setMultiplier(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static JavaNumberFormatSpecifier create(String sJavaPattern)
A convenience methods provided to create an initialized JavaNumberFormatSpecifier instance NOTE: Manually written

Parameters:
  `sJavaPattern` -
Returns:

### format

public String format(double dValue, com.ibm.icu.util.ULocale lo)
Description copied from interface: `JavaNumberFormatSpecifier`
Formats a value using the internally defined format specifier rules

Specified by:
  `format` in interface `JavaNumberFormatSpecifier`
Returns:
  A formatted string representation of the numerical value provided

### format

public String format(Number number, com.ibm.icu.util.ULocale lo)
Description copied from interface: `JavaNumberFormatSpecifier`
Returns a formatted string representation of specified number.

Specified by:
  `format` in interface `JavaNumberFormatSpecifier`
Returns:

### format

public String format(double dValue, Locale lo)
Description copied from interface: `JavaNumberFormatSpecifier`
Formats a value using the internally defined format specifier rules

Specified by:
  `format` in interface `JavaNumberFormatSpecifier`
Returns:
  A formatted string representation of the numerical value provided

### copyInstance

public JavaNumberFormatSpecifier copyInstance()

Specified by:
  `copyInstance` in interface `FormatSpecifier`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `JavaNumberFormatSpecifier`
Overrides:
  `copyInstance` in class `FormatSpecifierImpl`